function init(bIsRestart)

	-- Initialise arena - backdrop_name, start_pos, is_restart
	init_level("level-google-talk", CCPoint(-50, -40), bIsRestart)

	if (bIsRestart ~= true) then
		startIntroSpeech(bIsRestart)
	end

	-- preload descriptors
--	game_manager:actorDescWithFile("stripper-gruntbear.plist")
	local nicoll = game_manager:actorDescWithFile("nicoll.plist")
	game_manager:setPlayerDesc(nicoll)
end

function startIntroSpeech(bIsRestart)

	if (bIsRestart ~= true) then
		game_manager:setCheckpoint("startIntroSpeech")
	end

	disconnectControls()
	concerned()
--	player.Speed = 100
	game_manager:startTimer(2.0, onIntroSpeech);

	game_manager:startTimer(1.0, showLevelTimeAndLocation)

end

function onIntroSpeech()

	bot_manager.MaxBotsOnScreen = 1

	connectControls()
--	say("lumberjack", "NOOO! Everything looks even worse than before!", talkToFist)
--	say("fist", "Brian must have found another time machine...", fistTalk, function() concerned(); game_manager:startTimer(2.0, onIntroSpeech2) end)
end

function onIntroSpeech2()

	say("lumberjack", "Wait a sec. Brian? Who's Brian?", talkToFist)
	say("fist", "Erm. Nobody.", fistTalk)
	say("lumberjack", "You said you didn't know who was doing this!", talkToFist)
	say("fist", "I don't. Forget I said anything.", fistTalk)
	say("lumberjack", "TELL ME! NOW!", talkToFistAngry, eatHand)

--	game_manager:startTimer(3.0, eatHandReverse)
	--<Tim puts fist in his mouth>
	say("fist", "MMFFGGMMHHFFF!!", nil, function() eatHandReverse(); game_manager:startTimer(1.0, onIntroSpeech3) end)
end

function onIntroSpeech3()
	say("lumberjack", "Tell me or I'll find another place to put you!", talkToFist)
	say("fist", "Brian is my brother.", fistTalk)
	say("fist", "He used my inventions to take over the universe.")
	say("lumberjack", "Your inventions?! THIS IS YOUR FAULT?!", talkToFistAngry)
	say("fist", "A bit, but I'm trying to fix it!", fistTalk)
	say("lumberjack", "OH REALLY?! HOW'S THAT GOING THEN?!", talkToFistAngry)
	say("fist", "We need to find Brian and stop him.", fistTalk)
	say("lumberjack", "This is 100% the last time I help you.", talkToFist, connectControls)


--	connectControls()

end

function sayNooo(bIsRestart)

	say("lumberjack", "Please no! Anywhere but here!")
	return true

end

function onAmbush(bIsRestart)


	if (bIsRestart ~= true) then

		-- Restart from here
		game_manager:setCheckpoint("onAmbush")

		-- Make this a bit harder than the last ambush
		bot_manager.MaxBotsOnScreen = bot_manager.MaxBotsOnScreen + 1
	end
                
	-- Spawn regular enemies
--[[	local bot_descs = {}
	table.insert(bot_descs, game_manager:actorDescWithFile("stripper-gruntbear.plist"))

	-- Spawn lots of enemies
	startAmbush(bot_descs, bot_manager.MaxBotsOnScreen * 2)
]]
	return true
	
end

function onBossAmbush(bIsRestart)

--[[
	if (bIsRestart ~= true) then

		-- Restart from here
		game_manager:setCheckpoint("onBossAmbush")

    end

	-- Spawn regular enemies
	local bot_descs = {}
	table.insert(bot_descs, game_manager:actorDescWithFile("gruntbear.plist"))

	-- Spawn lots of enemies
	boss_id = startBossAmbush(bot_descs, "bear")
]]
	return true

end
